ppc64 BPF JIT mod by 1 will not return 0

Bug #1948351 reported by Kelsey Skunberg
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Thadeu Lima de Souza Cascardo
Focal
Medium
Thadeu Lima de Souza Cascardo
Hirsute
Medium
Unassigned
Impish
Medium
Unassigned

Bug Description

[Impact]
When doing MOD by 1 with a immediate/constant divisor on PPC, the JIT will produce code that returns the dividend, just like a division, instead of 0.

Both eBPF and cBPF will fail as well when doing such operations.

[Test case]
$ cat bpf-mod1.c
#include <linux/bpf.h>
#include <unistd.h>
#include <sys/syscall.h>
#include <sys/socket.h>
#include <stdio.h>
#include <sys/prctl.h>
#include <stdlib.h>
#include <errno.h>
#include <limits.h>
#include <err.h>
#include <string.h>
#include <linux/filter.h>

#define ARRAY_SIZE(array) (sizeof(array)/sizeof(array[0]))

static int pair[2];

static int attach()
{
        int r;

        struct sock_filter insn[] = {
                { BPF_LD | BPF_W | BPF_ABS, 0, 0, 0 },
                { BPF_ALU | BPF_MOD, 0, 0, 1 },
                { BPF_RET | BPF_A, 0, 0, 0 },
        };

        struct sock_fprog prog = {};
        prog.filter = insn;
        prog.len = ARRAY_SIZE(insn);

        socketpair(AF_UNIX, SOCK_DGRAM, 0, pair);
        setsockopt(pair[1], SOL_SOCKET, SO_ATTACH_FILTER, &prog, sizeof(prog));
        return 0;
}

int main(int argc, char **argv)
{
        int buf[5];
        int r;
        r = attach();
        if (r < 0) {
                err(1, "function will error out already");
        }
        write(pair[0], "hello", 5);
        r = recv(pair[1], buf, 5, MSG_DONTWAIT);
        if (r != -1 || errno != EAGAIN) {
                err(1, "program failed");
        }
        return 0;
}
$ gcc -o bpf-mod1 bpf-mod1.c
$ ./bpf-mod1
cbpf-mod1: program failed: Success

After fix:
$ ./bpf-mod1
$ echo $?
0

[Potential regression]
BPF programs might be misbehave on ppc64el.

========================================================

This is a scripted bug report about ADT failures while running linux tests for linux/5.4.0-90.101 on focal. Whether this is caused by the dep8 tests of the tested source or the kernel has yet to be determined.

Consistently failing on Focal/linux 5.4.0-90.101

13:15:26 DEBUG| [stdout] # selftests: net: test_bpf.sh
13:15:27 DEBUG| [stdout] # test_bpf: [FAIL]
13:15:27 DEBUG| [stdout] not ok 9 selftests: net: test_bpf.sh # exit=1

Testing failed on:
    ppc64el: https://autopkgtest.ubuntu.com/results/autopkgtest-focal/focal/ppc64el/l/linux/20211021_141544_eda49@/log.gz

CVE References

tags: added: kernel-adt-failure
tags: added: focal
description: updated
summary: - linux ADT test failure with linux/5.4.0-90.101
+ linux ADT test_bpf failure with linux/5.4.0-90.101
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1948351

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Po-Hsu Lin (cypressyew) wrote : Re: linux ADT test_bpf failure with linux/5.4.0-90.101

Manually tested on a P8 node (gulpin) with 5.4.0-89-generic and 5.4.0-90-generic

Conclusion:
It looks like a real kernel regression.
The following two test cases are failing with 5.4.0-90-generic (passed with 5.4.0-89-generic)
[ 736.795192] test_bpf: #142 ALU_MOD_K: 3 % 1 = 0 jited:1 ret 3 != 0 FAIL (1 times)
[ 736.795285] test_bpf: #145 ALU64_MOD_K: 3 % 1 = 0 jited:1 ret 3 != 0 FAIL (1 times)

Test results:
* Kernel: 5.4.0-89 + Source: 5.4.0-89 = PASSED
* Kernel: 5.4.0-89 + Source: 5.4.0-90 = PASSED
* Kernel: 5.4.0-90 + Source: 5.4.0-90 = FAILED
* Kernel: 5.4.0-90 + Source: 5.4.0-89 = FAILED

Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

BTW here is the test summary, it looks like we have 2 cases removed in 5.4.0-90. (in lib/test

Test results:
* Kernel: 5.4.0-89 + Source: 5.4.0-89 = Summary: 378 PASSED, 0 FAILED, [366/366 JIT'ed]
* Kernel: 5.4.0-89 + Source: 5.4.0-90 = Summary: 378 PASSED, 0 FAILED, [366/366 JIT'ed]
* Kernel: 5.4.0-90 + Source: 5.4.0-90 = Summary: 376 PASSED, 2 FAILED, [366/366 JIT'ed]
* Kernel: 5.4.0-90 + Source: 5.4.0-89 = Summary: 376 PASSED, 2 FAILED, [366/366 JIT'ed]

Revision history for this message
Stefan Bader (smb) wrote :

These are the BPF related changes between 5.4.0-89 and 5.4.0-90. Nothing where I would immediately think of causing division to go wrong...

git log Ubuntu-5.4.0-89.100..origin/master-prep --grep="bpf" --oneline
760480fda833 selftests/bpf: Enlarge select() timeout for test_maps
5c85b4d0b051 selftests/bpf: Fix xdp_tx.c prog section name
0f84b7521f50 samples: bpf: Fix tracex7 error raised on the missing argument
8bc1bccb0744 bpf/tests: Do not PASS tests without actually testing the result
0885ac9bc408 bpf/tests: Fix copy-and-paste error in double word test
3801d5662248 netlink: Deal with ESRCH error in nlmsg_notify()
ed5c6f4c1b06 bpf: Fix pointer arithmetic mask tightening under state pruning
884ec8412e0d bpf: verifier: Allocate idmap scratch in verifier env
dd5342c1a35a bpf: Fix leakage due to insufficient speculative store bypass mitigation
5362e01b39f6 bpf: Introduce BPF nospec instruction for mitigating Spectre v4
329efcf517b2 bpf: Fix possible out of bound write in narrow load handling
9c56c222fb51 tcp: seq_file: Avoid skipping sk during tcp_seek_last_pos
481ad73a440e drm/amdgpu/acp: Make PM domain really work
42341fc22763 bpf: Fix potential memleak and UAF in the verifier.
53ace18dddea bpf: Fix a typo of reuseport map in bpf.h.
6f143214953f bpf: Fix cast to pointer from integer of different size warning
b8e3620c71b7 bpf: Track contents of read-only maps as scalars

Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

Tested on P8 node entei with 4.15.0-162-generic

Kernel 4.15.0-162-generic + Source 4.15.0-162-generic
[12008.662733] test_bpf: #145 ALU_MOD_K: 3 % 1 = 0 jited:1 ret 3 != 0 FAIL (1 times)
[12008.663071] test_bpf: #148 ALU64_MOD_K: 3 % 1 = 0 jited:1 ret 3 != 0 FAIL (1 times)
[12012.150242] test_bpf: Summary: 340 PASSED, 2 FAILED, [334/334 JIT'ed]

Note that the test environment is not clean as I don't have any available P8 node at hand (gulpin cannot be deployed with Bionic for some reason) so I am re-using the ubuntu_qrt_apparmor job, which is hanging for the moment.

Also, this test output needs to be improved, I have filed bug 1948448 for this.

Revision history for this message
Thadeu Lima de Souza Cascardo (cascardo) wrote :

Reading bionic commit 6e096fe0027f723f746f8179503784cb3579294a ("bpf/tests: Do not PASS tests without actually testing the result"), and looking at the specific failing tests, it looks to be the case that the test change has shown these failures starting now. Also included in focal.

There is a JIT bug on ppc64, fixed by upstream commit
8bbc9d822421d9ac8ff9ed26a3713c9afc69d6c8 ("powerpc/bpf: Fix BPF_MOD when imm == 1").

Testing with userspace, eBPF works fine, possibly because the verifier changes the code before giving it to JIT. However, cBPF fails. Both on 4.15.0-160 and 4.15.0-162, so not a regression.

Cascardo.

Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
Changed in linux (Ubuntu Focal):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
summary: - linux ADT test_bpf failure with linux/5.4.0-90.101
+ ppc64 BPF JIT mod by 1 will not return 0
description: updated
Stefan Bader (smb)
Changed in linux (Ubuntu Hirsute):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Impish):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Hirsute):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Impish):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.13.0-22.22 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-impish' to 'verification-done-impish'. If the problem still exists, change the tag 'verification-needed-impish' to 'verification-failed-impish'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-impish
tags: added: verification-needed-hirsute
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.11.0-41.45 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.4.0-91.102 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/4.15.0-163.171 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Revision history for this message
Stefan Bader (smb) wrote :

In the ppc64el ADT tests (https://autopkgtest.ubuntu.com/results/autopkgtest-hirsute/hirsute/ppc64el/l/linux/20211110_190628_a83f4@/log.gz) for hirsute:linux(5.11.0-41.45):

18:11:23 DEBUG| [stdout] # selftests: net: test_bpf.sh
18:11:23 DEBUG| [stdout] # test_bpf: ok
18:11:23 DEBUG| [stdout] ok 1 selftests: net: test_bpf.sh

tags: added: verification-done-hirsute
removed: verification-needed-hirsute
Revision history for this message
Kleber Sacilotto de Souza (kleber-souza) wrote :

Confirmed to be fixed on bionic/linux 4.15.0-163.171:

https://autopkgtest.ubuntu.com/results/autopkgtest-bionic/bionic/ppc64el/l/linux/20211109_152821_48505@/log.gz

14:47:04 DEBUG| [stdout] selftests: test_bpf.sh
14:47:04 DEBUG| [stdout] ========================================
14:47:07 DEBUG| [stdout] test_bpf: ok
14:47:07 DEBUG| [stdout] ok 1..8 selftests: test_bpf.sh [PASS]

tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
Kelsey Skunberg (kelsey-skunberg) wrote :
tags: added: verification-done-focal verification-done-impish
removed: verification-needed-focal verification-needed-impish
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (7.3 KiB)

This bug was fixed in the package linux - 4.15.0-163.171

---------------
linux (4.15.0-163.171) bionic; urgency=medium

  * bionic/linux: 4.15.0-163.171 -proposed tracker (LP: #1949874)

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
    - debian/dkms-versions -- update from kernel-versions (main/2021.11.08)

  * Unable to build net/reuseport_bpf and other tests in ubuntu_kernel_selftests
    on Bionic with make command (LP: #1949889)
    - selftests: Fix loss of test output in run_kselftests.sh
    - selftests: Makefile set KSFT_TAP_LEVEL to prevent nested TAP headers
    - selftests: fix headers_install circular dependency
    - selftests: fix bpf build/test workflow regression when KBUILD_OUTPUT is set
    - selftests: vm: Fix test build failure when built by itself

  * KVM emulation failure when booting into VM crash kernel with multiple CPUs
    (LP: #1948862)
    - KVM: x86: Properly reset MMU context at vCPU RESET/INIT

  * aufs: kernel bug with apparmor and fuseblk (LP: #1948470)
    - SAUCE: aufs: bugfix, stop omitting path->mnt

  * ebpf: bpf_redirect fails with ip6 gre interfaces (LP: #1947164)
    - net: handle ARPHRD_IP6GRE in dev_is_mac_header_xmit()

  * require CAP_NET_ADMIN to attach N_HCI ldisc (LP: #1949516)
    - Bluetooth: hci_ldisc: require CAP_NET_ADMIN to attach N_HCI ldisc

  * ACL updates on OCFS2 are not revalidated (LP: #1947161)
    - ocfs2: fix remounting needed after setfacl command

  * ppc64 BPF JIT mod by 1 will not return 0 (LP: #1948351)
    - powerpc/bpf: Fix BPF_MOD when imm == 1

  * Drop "UBUNTU: SAUCE: cachefiles: Page leaking in
    cachefiles_read_backing_file while vmscan is active" (LP: #1947709)
    - Revert "UBUNTU: SAUCE: cachefiles: Page leaking in
      cachefiles_read_backing_file while vmscan is active"
    - cachefiles: Fix page leak in cachefiles_read_backing_file while vmscan is
      active

  * Some test in ubuntu_bpf test_verifier failed on i386 Bionic kernel
    (LP: #1788578)
    - bpf: fix context access in tracing progs on 32 bit archs

  * test_bpf.sh from ubuntu_kernel_selftests.net from linux ADT test failure
    with linux/4.15.0-149.153 i386 (Segmentation fault) (LP: #1934414)
    - selftests/bpf: make test_verifier run most programs
    - bpf: add couple of test cases for div/mod by zero
    - bpf: add further test cases around div/mod and others

  * Bionic update: upstream stable patchset 2021-11-02 (LP: #1949512)
    - usb: gadget: r8a66597: fix a loop in set_feature()
    - usb: musb: tusb6010: uninitialized data in tusb_fifo_write_unaligned()
    - cifs: fix incorrect check for null pointer in header_assemble
    - xen/x86: fix PV trap handling on secondary processors
    - usb-storage: Add quirk for ScanLogic SL11R-IDE older than 2.6c
    - USB: serial: cp210x: add ID for GW Instek GDM-834x Digital Multimeter
    - staging: greybus: uart: fix tty use after free
    - Re-enable UAS for LaCie Rugged USB3-FW with fk quirk
    - USB: serial: mos7840: remove duplicated 0xac24 device ID
    - USB: serial: option: add Telit LN920 compositions
    - USB: serial: option: remove duplicate USB device ID
    - USB: serial: option: add device id for Foxco...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 5.4.0-91.102

---------------
linux (5.4.0-91.102) focal; urgency=medium

  * focal/linux: 5.4.0-91.102 -proposed tracker (LP: #1949840)

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
    - debian/dkms-versions -- update from kernel-versions (main/2021.11.08)

  * KVM emulation failure when booting into VM crash kernel with multiple CPUs
    (LP: #1948862)
    - KVM: x86: Properly reset MMU context at vCPU RESET/INIT

  * aufs: kernel bug with apparmor and fuseblk (LP: #1948470)
    - SAUCE: aufs: bugfix, stop omitting path->mnt

  * ebpf: bpf_redirect fails with ip6 gre interfaces (LP: #1947164)
    - net: handle ARPHRD_IP6GRE in dev_is_mac_header_xmit()

  * require CAP_NET_ADMIN to attach N_HCI ldisc (LP: #1949516)
    - Bluetooth: hci_ldisc: require CAP_NET_ADMIN to attach N_HCI ldisc

  * ACL updates on OCFS2 are not revalidated (LP: #1947161)
    - ocfs2: fix remounting needed after setfacl command

  * ppc64 BPF JIT mod by 1 will not return 0 (LP: #1948351)
    - powerpc/bpf: Fix BPF_MOD when imm == 1

  * Drop "UBUNTU: SAUCE: cachefiles: Page leaking in
    cachefiles_read_backing_file while vmscan is active" (LP: #1947709)
    - Revert "UBUNTU: SAUCE: cachefiles: Page leaking in
      cachefiles_read_backing_file while vmscan is active"

  * Reassign I/O Path of ConnectX-5 Port 1 before Port 2 causes NULL dereference
    (LP: #1943464)
    - s390/pci: fix leak of PCI device structure
    - s390/pci: fix use after free of zpci_dev
    - s390/pci: fix zpci_zdev_put() on reserve

  * [SRU][F] USB: serial: pl2303: add support for PL2303HXN (LP: #1948377)
    - USB: serial: pl2303: add support for PL2303HXN
    - USB: serial: pl2303: fix line-speed handling on newer chips

  * Focal update: v5.4.151 upstream stable release (LP: #1947888)
    - tty: Fix out-of-bound vmalloc access in imageblit
    - cpufreq: schedutil: Use kobject release() method to free sugov_tunables
    - cpufreq: schedutil: Destroy mutex before kobject_put() frees the memory
    - usb: cdns3: fix race condition before setting doorbell
    - fs-verity: fix signed integer overflow with i_size near S64_MAX
    - hwmon: (w83793) Fix NULL pointer dereference by removing unnecessary
      structure field
    - hwmon: (w83792d) Fix NULL pointer dereference by removing unnecessary
      structure field
    - hwmon: (w83791d) Fix NULL pointer dereference by removing unnecessary
      structure field
    - scsi: ufs: Fix illegal offset in UPIU event trace
    - mac80211: fix use-after-free in CCMP/GCMP RX
    - x86/kvmclock: Move this_cpu_pvti into kvmclock.h
    - drm/amd/display: Pass PCI deviceid into DC
    - ipvs: check that ip_vs_conn_tab_bits is between 8 and 20
    - hwmon: (mlxreg-fan) Return non-zero value when fan current state is enforced
      from sysfs
    - mac80211: Fix ieee80211_amsdu_aggregate frag_tail bug
    - mac80211: limit injected vht mcs/nss in ieee80211_parse_tx_radiotap
    - mac80211: mesh: fix potentially unaligned access
    - mac80211-hwsim: fix late beacon hrtimer handling
    - sctp: break out if skb_header_pointer returns NULL in sctp_rcv_ootb
    - hwmon: (tmp421) report /P...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.7 KiB)

This bug was fixed in the package linux - 5.11.0-41.45

---------------
linux (5.11.0-41.45) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-41.45 -proposed tracker (LP: #1949801)

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
    - debian/dkms-versions -- update from kernel-versions (main/2021.11.08)

  * aufs: kernel bug with apparmor and fuseblk (LP: #1948470)
    - SAUCE: aufs: bugfix, stop omitting path->mnt

  * ebpf: bpf_redirect fails with ip6 gre interfaces (LP: #1947164)
    - net: handle ARPHRD_IP6GRE in dev_is_mac_header_xmit()

  * require CAP_NET_ADMIN to attach N_HCI ldisc (LP: #1949516)
    - Bluetooth: hci_ldisc: require CAP_NET_ADMIN to attach N_HCI ldisc

  * CVE-2021-3744 // CVE-2021-3764
    - crypto: ccp - fix resource leaks in ccp_run_aes_gcm_cmd()

  * ppc64 BPF JIT mod by 1 will not return 0 (LP: #1948351)
    - powerpc/bpf: Fix BPF_MOD when imm == 1

  * Fix Screen freeze after resume from suspend with iGPU [1002:6987]
    (LP: #1949050)
    - drm/amdgpu: reenable BACO support for 699F:C7 polaris12 SKU
    - drm/amdgpu: add missing cleanups for Polaris12 UVD/VCE on suspend
    - drm/amdgpu: Fix crash on device remove/driver unload

  * Intel I225-IT ethernet controller: igc: probe of 0000:02:00.0 failed with
    error -1 (LP: #1945576)
    - igc: Remove _I_PHY_ID checking
    - igc: Remove phy->type checking

  * Fail to detect audio output from external monitor (LP: #1948767)
    - ALSA: hda: intel: Allow repeatedly probing on codec configuration errors

  * Drop "UBUNTU: SAUCE: cachefiles: Page leaking in
    cachefiles_read_backing_file while vmscan is active" (LP: #1947709)
    - Revert "UBUNTU: SAUCE: cachefiles: Page leaking in
      cachefiles_read_backing_file while vmscan is active"

  * Hirsute update: upstream stable patchset 2021-11-03 (LP: #1949640)
    - mm: fix uninitialized use in overcommit_policy_handler
    - usb: gadget: r8a66597: fix a loop in set_feature()
    - usb: dwc2: gadget: Fix ISOC flow for BDMA and Slave
    - usb: dwc2: gadget: Fix ISOC transfer complete handling for DDMA
    - usb: musb: tusb6010: uninitialized data in tusb_fifo_write_unaligned()
    - cifs: fix incorrect check for null pointer in header_assemble
    - xen/x86: fix PV trap handling on secondary processors
    - usb-storage: Add quirk for ScanLogic SL11R-IDE older than 2.6c
    - USB: serial: cp210x: add ID for GW Instek GDM-834x Digital Multimeter
    - USB: cdc-acm: fix minor-number release
    - Revert "USB: bcma: Add a check for devm_gpiod_get"
    - binder: make sure fd closes complete
    - staging: greybus: uart: fix tty use after free
    - Re-enable UAS for LaCie Rugged USB3-FW with fk quirk
    - usb: dwc3: core: balance phy init and exit
    - USB: serial: mos7840: remove duplicated 0xac24 device ID
    - USB: serial: option: add Telit LN920 compositions
    - USB: serial: option: remove duplicate USB device ID
    - USB: serial: option: add device id for Foxconn T99W265
    - mcb: fix error handling in mcb_alloc_bus()
    - erofs: fix up erofs_lookup tracepoint
    - btrfs: prevent __btrfs_dump_space_info() to underflow its free space
    - serial: 8250: 8250_omap: Fix RX_LVL re...

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (47.3 KiB)

This bug was fixed in the package linux - 5.13.0-22.22

---------------
linux (5.13.0-22.22) impish; urgency=medium

  * impish/linux: 5.13.0-22.22 -proposed tracker (LP: #1949740)

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2021.11.08)

  * ebpf: bpf_redirect fails with ip6 gre interfaces (LP: #1947164)
    - net: handle ARPHRD_IP6GRE in dev_is_mac_header_xmit()

  * require CAP_NET_ADMIN to attach N_HCI ldisc (LP: #1949516)
    - Bluetooth: hci_ldisc: require CAP_NET_ADMIN to attach N_HCI ldisc

  * CVE-2021-3744 // CVE-2021-3764
    - crypto: ccp - fix resource leaks in ccp_run_aes_gcm_cmd()

  * ppc64 BPF JIT mod by 1 will not return 0 (LP: #1948351)
    - powerpc/bpf: Fix BPF_MOD when imm == 1

  * Fix Screen freeze after resume from suspend with iGPU [1002:6987]
    (LP: #1949050)
    - drm/amdgpu: reenable BACO support for 699F:C7 polaris12 SKU
    - drm/amdgpu: add missing cleanups for Polaris12 UVD/VCE on suspend
    - drm/amdgpu: Fix crash on device remove/driver unload

  * Intel I225-IT ethernet controller: igc: probe of 0000:02:00.0 failed with
    error -1 (LP: #1945576)
    - igc: Remove _I_PHY_ID checking
    - igc: Remove phy->type checking

  * Fail to detect audio output from external monitor (LP: #1948767)
    - ALSA: hda: intel: Allow repeatedly probing on codec configuration errors

  * Drop "UBUNTU: SAUCE: cachefiles: Page leaking in
    cachefiles_read_backing_file while vmscan is active" (LP: #1947709)
    - Revert "UBUNTU: SAUCE: cachefiles: Page leaking in
      cachefiles_read_backing_file while vmscan is active"

  * rtw89 kernel module for Realtek 8852 wifi is missing (LP: #1945967)
    - rtw89: add Realtek 802.11ax driver
    - rtw89: Remove redundant check of ret after call to rtw89_mac_enable_bb_rf
    - rtw89: fix return value check in rtw89_cam_send_sec_key_cmd()
    - rtw89: remove unneeded semicolon
    - [Config] RTW89=m

  * Impish update: upstream stable patchset 2021-11-03 (LP: #1949636)
    - mm: fix uninitialized use in overcommit_policy_handler
    - usb: gadget: r8a66597: fix a loop in set_feature()
    - usb: dwc2: gadget: Fix ISOC flow for BDMA and Slave
    - usb: dwc2: gadget: Fix ISOC transfer complete handling for DDMA
    - usb: musb: tusb6010: uninitialized data in tusb_fifo_write_unaligned()
    - cifs: fix incorrect check for null pointer in header_assemble
    - xen/x86: fix PV trap handling on secondary processors
    - usb-storage: Add quirk for ScanLogic SL11R-IDE older than 2.6c
    - USB: serial: cp210x: add ID for GW Instek GDM-834x Digital Multimeter
    - USB: cdc-acm: fix minor-number release
    - Revert "USB: bcma: Add a check for devm_gpiod_get"
    - binder: make sure fd closes complete
    - staging: greybus: uart: fix tty use after free
    - Re-enable UAS for LaCie Rugged USB3-FW with fk quirk
    - usb: dwc3: core: balance phy init and exit
    - usb: core: hcd: Add support for deferring roothub registration
    - USB: serial: mos7840: remove duplicated 0xac24 device ID
    - USB: serial: option: add Telit LN920 compositions
    - USB: serial: option: remove duplicate USB device ID
    - USB: serial: option: add d...

Changed in linux (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Po-Hsu Lin (cypressyew) wrote :

This fix can be found in Jammy as well, mark this as fix-released.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers